<bugID>1055452<Summary>Be smarter when launching an already running runtime app</Summary><Description>Tim Chien wrote:
&gt; There is a tiny user flow of WebIDE which I found is a bit hard to work with.
&gt; WebIDE assumes there only one frame per app, and whenever you set the
&gt; app you want to develop on in the drop down, it will try to launch it
&gt; or bring it to the foreground.
&gt; 
&gt; In B2G, it's really not the case. It's possible a second frame of the
&gt; app is created when there is a inline activity, an attention screen,
&gt; or a keyboard frame. For WebIDE to inspect that frame I would have to
&gt; close that launched foreground frame and click on debug again.
&gt; 
&gt; Can we update the WebIDE UI so that it doesn't launch the app
&gt; automatically, or do that if it have detected there is already a
&gt; running frame?</Description></bugID>